//=============================================================================
// DWAmbientMonster.
// Created by Mark 'MarZer' Gillard
//=============================================================================
class DWAmbientMonster extends Actor
	  placeable;

#exec OBJ LOAD FILE=DWeather-Tex.utx	  
	  
var array<class<Monster> >LoadMonsterClass;
var array<class<Monster> >MonsterClass;
var () float RespawnTime;
var () bool bAllowSkaarjPupae;
var () bool bAllowRazorfly;
var () bool bAllowManta;
var byte NumMonsters;
var () byte MaxMonsters;
var array<PathNode> PathNodes;
var byte ClassCount;
var () name MonsterTag;
var Pawn ChildMonster;

event PreBeginPlay()
{
    super.PreBeginPlay();
	SetTimer(RespawnTime,true);
    ClassCount=0;
    if( bAllowSkaarjPupae){MonsterClass[ClassCount]=LoadMonsterClass[0];ClassCount++;}
    if( bAllowRazorfly){MonsterClass[ClassCount]=LoadMonsterClass[1];ClassCount++;}
    if( bAllowManta){MonsterClass[ClassCount]=LoadMonsterClass[2];ClassCount++;}
}

function PostBeginPlay()
{
	local NavigationPoint N;
	super.PostBeginPlay();
    SetGameRules();
    
    if (RespawnTime > 0 && MaxMonsters > 0 && MonsterClass.length > 0)
	{
		for (N = Level.NavigationPointList; N != None; N = N.NextNavigationPoint)
			if (PathNode(N) != None && !N.IsA('FlyingPathNode'))
				PathNodes[PathNodes.length] = PathNode(N);
	}
	else
		Destroy();
		
	bHidden = true;
}

function SetGameRules()
{
    local DWAmbientMonsterRULESSpawner MGR;
    ForEach DynamicActors ( class'DWAmbientMonsterRULESSpawner', MGR)
    {
        if (MGR != none)
        {
           break;
        }
    }
    if (MGR != none)
    {
        return;
    }
    MGR=spawn(class'DWAmbientMonsterRULESSpawner',,,Location);
}
 
function Timer()
{
	AddMonster();
}

function AddMonster()
{
	local Pawn NewMonster;
	local class<Monster> NewMonsterClass;
    local Monster CountClass;
        NumMonsters=0;
        foreach AllActors( class 'Monster' , CountClass )
        {
         NumMonsters++;
        }
	if(NumMonsters<MaxMonsters+1)
	{
		NewMonsterClass = MonsterClass[Rand(ClassCount)];
		NewMonster = spawn(NewMonsterClass,,, PathNodes[Rand(PathNodes.length)].Location);
	
		ChildMonster = NewMonster;
    	MonsterSpawned();
	}
}

function MonsterSpawned()
{
	if ( MonsterTag != '' )
		ChildMonster.Tag = MonsterTag;
}

defaultproperties
{
     LoadMonsterClass(0)=Class'DWeather.AmbientSkaarjPupae'
     LoadMonsterClass(1)=Class'DWeather.AmbientRazorfly'
     LoadMonsterClass(2)=Class'DWeather.AmbientManta'
     RespawnTime=5.000000
     bAllowSkaarjPupae=true
     bAllowRazorfly=true
     MaxMonsters=10
     bHidden=true
     Texture=Texture'DWeather-Tex.Icons.monstericon'
     
     bAlwaysRelevant=true
     bNoDelete=true
 	 bStatic=false
  	 RemoteRole=ROLE_SimulatedProxy
}
