//=============================================================================
//  DWFadingLight: Dynamic Fading Weather Emitter
//  Fades light dynamically (HA TAKE THAT EPIC! :P)
//  By Mark 'MarZer' Gillard
//=============================================================================
class DWFadingLight extends DWParent
	placeable
	hidecategories(Emitter,Force,Karma);

	
//var() string Label;
var() float CalculationInterval;
var() float MaxBrightness;
var() float MinBrightness;
var() color MaxColour;
var() color MinColour;
var byte CurHue;
var byte CurSat;
var byte CurLum;
var float CurrentTime;
var float Frequency;
var() float FadeTime;
var() enum EFadePhase {FF_NegativeCosine,FF_Cosine,} FadePhase;
var() enum EMode {LM_Normal,LM_Flicker,} LightMode;
var color CurrentColour;

event PreBeginPlay()
{
	SetTimer(CalculationInterval, true);
}

simulated function Timer() 
{
	CurrentTime = CurrentTime + CalculationInterval;
	
	if (FadePhase == FF_Cosine)
   	{	
		LightBrightness = CosWave(MaxBrightness, MinBrightness, CurrentTime, FadeTime, false);
		CurrentColour = ReturnFadeColour(MinColour, MaxColour, CurrentTime, FadeTime, false);
	}
	else
	{
		LightBrightness = CosWave(MaxBrightness, MinBrightness, CurrentTime, FadeTime, true);
		CurrentColour = ReturnFadeColour(MinColour, MaxColour, CurrentTime, FadeTime, true);
	}
		
	RGBToHLS(CurrentColour, CurHue, CurLum, CurSat);
	LightHue = CurHue;
	
//	log("At" @CurrentTime $"s," @Label @"is at B, H of" @LightBrightness$"," @LightHue$".");

}

defaultproperties
{
	  FadePhase=FF_Cosine
	  LightMode=LM_Normal
	  LightType=LT_Steady
	  LightEffect=LE_None
	  Texture=Texture'Engine.S_Alarm'
	  bDynamicLight=true
	  LightCone=128
	  LightRadius=32
	  LightPeriod=32
      bAlwaysRelevant=true
      bNoDelete=true
	  bStatic=false
 	  RemoteRole=ROLE_SimulatedProxy
 	  CurrentTime=0.0
 	  MaxColour=(R=255,G=128,B=0)
   	  MinColour=(R=0,G=0,B=255)
   	  MaxBrightness=120
   	  MinBrightness=50
   	  LightSaturation=127
	  LightBrightness=120
	  LightHue=21
   	  FadeTime=5.0
   	  CalculationInterval=0.05
}