//=============================================================================
//  DWLightningTarget: Target for DWLightning
//  Lightning has to strike somewhere, right?
//  By Mark 'MarZer' Gillard
//=============================================================================
class DWLightningTarget extends Actor
		hidecategories(Collision,Display,Force,Karma,Advanced,Global,Object,Emitter)
		placeable;

#exec OBJ LOAD FILE=DWeather-Tex.utx		
		
var float Current;
var float CalculationInterval;
var rotator Initial;
var DWLightningFearSpot PhearMeh;

replication
{
    reliable if ( Role == ROLE_Authority )
        Current, CalculationInterval, PhearMeh, StartFlash, StopFlash;
}

simulated function PostBeginPlay()
{
	Initial.Pitch = -16384;
	Initial.Yaw = 0;
	Initial.Roll = 0;
	
	LightHue = 0;
	LightSaturation = 255;
	LightRadius = 175;
	LightBrightness = 0;

	PhearMeh = spawn(class'DWLightningFearSpot',,,Location);
	PhearMeh.SetBase(self);
}

simulated function StartFlash()
{
	SetTimer(CalculationInterval, true);
	Spawn(class'DWLightingBANG',,,Location,Initial);
	LightBrightness = 150;
}
	
simulated function Trigger( actor Other, pawn EventInstigator )
{
	if (Other.IsA('DWLightning'))
		StartFlash();
}

simulated function StopFlash()
{
	Current = Current + CalculationInterval;
	
	if (Current > 0.2)
	{
    	LightBrightness = 0;
		SetTimer(0.0, false);
    	Current = 0.0;
	}
}

simulated function Timer()
{
	StopFlash();
}	

defaultproperties
{
	Texture=Texture'DWeather-Tex.Icons.Lightningtargeticon'
	Current=0.0

	bDynamicLight=true
	LightType=LT_Steady
	LightEffect=LE_None
	LightHue=0
	LightSaturation=255
	LightRadius=175
	LightBrightness=0

    bAlwaysRelevant=true
    bNoDelete=true
	bStatic=false
	RemoteRole=ROLE_SimulatedProxy
 	bMovable=true
	bReplicateMovement=true
	bNetTemporary=false
	bUpdateSimulatedPosition=true 
 	
 	bCollideActors=false
 	bBlockActors=false
    bUseCylinderCollision=false
    bBlockZeroExtentTraces=false
    bBlockNonZeroExtentTraces=false
    CalculationInterval=0.05
    
    bHidden=true
}