class DWWeatherEmitter extends xWeatherEffect;

var transient array<WeatherPcl> pclFull;
var private bool bFadeOut;
var private bool bFadeIn;
var config int fadeSize;

replication
{
    reliable if(Role==ROLE_Authority) 
        bFadeIn, bFadeOut;
}

function Trigger( actor Other, pawn EventInstigator )
{
	bFadeOut=!bFadeOut;
	bFadeIn=!bFadeIn;
}


//The native code uses the pcl array for rendering, we want to increase/decrease the array size
//based on whether we are fading in or out.
simulated function tick(float delta) {
    local int i, relativeFade;
    if ( Level.NetMode != NM_DedicatedServer) {
	    if (pclFull.length==0)
		pclFull=pcl;
	    i=pcl.length;
	    if (bFadeOut && i > 0) {
		pcl.remove(pcl.length-fadeSize, fadeSize);
	    } else if (bFadeIn && i < pclFull.length) {
		relativeFade=i+fadeSize;
		while(i<relativeFade) {
		  pcl[i]=pclFull[i++];	
		}
		
	    }	
     }
    super.tick(delta);	

}

defaultproperties {
  bStatic=false
  fadeSize=50
  bFadeOut=false
  bFadeIn=true  
}
